// LDAP Server Configuration
const ldap_server = {

    port: env('LDAP_SERVER_PORT', 389),
    max_connections: env('LDAP_MAX_CONNECTIONS'),
    interface: env('LDAP_LISTEN_INTERFACE', '0.0.0.0'),

    ssl: {
        enable: env('LDAP_SSL_ENABLE', false),
        certificate: env('LDAP_CERT_PATH'),
        key: env('LDAP_CERT_KEY_PATH'),
    },

    schema: {
        base_dc: env('LDAP_BASE_DC', 'dc=example,dc=com'),
        authentication_base: env('LDAP_AUTH_BASE', 'ou=people'),
        group_base: env('LDAP_GROUP_BASE', 'ou=groups'),
        machine_base: env('LDAP_MACHINE_BASE', 'ou=computers'),
        machine_group_base: env('LDAP_MACHINE_BASE', 'ou=computer groups'),
        sudo_base: env('LDAP_SUDO_BASE', 'ou=sudo'),
        auth: {
            user_id: 'uid',
        },
        start_uid: env('LDAP_START_UID', 80000),
        default_shell: env('LDAP_DEFAULT_SHELL', '/bin/bash'),
    },

    format: {
        skipSpace: true,
    },
}

module.exports = exports = ldap_server
